Filter recordings by metadata using a query syntax.
Supports key-value search variations (see Recordings Search):
key:value: matches recordings with metadata that contains a key namedkeywith a value ofvaluekey:value1,value2: matches recordings with metadata that contains a key namedkeywith a value of eithervalue1orvalue2key:*: matches recordings where any metadata contains a key namedkey*:value: matches recordings where any metadata containsvalueas a valuesearch term: matches recordings with metadata where any key or value string containssearch term
Multiple qualifiers can be used in the same query string; this will filter recordings where metadata matches the intersection of the qualifiers (AND).
Examples:
temperature:high- find recordings with sensor metadata where temperature is highstatus:* device:camera1- find recordings with any status AND device camera1*:error- find any key with "error" valuewarehouseName:"leaping llama"- use quotes for values with spaces or special characters
As this is a query parameter, the value must be URL-encoded.
- Productionhttps://api.foxglove.dev/v1/recordings
from foxglove.client import Client
token = "<YOUR API TOKEN HERE>"
client = Client(token=token)
client.get_recordings()
Success
The filepath of the recording as it was originally provided to Foxglove. For recordings originated at the edge, this is the full path of the recording file in the edge controller store. For recordings uploaded directly to Foxglove, this is the filename query arg provided to /data/upload.
The object-store location of a recording. Present only when the recording is indexed in a customer-managed bucket. Omitted for query-optimized sites, where the original object is not retained, and for recordings that have not yet been imported.
The import status of recordings. Status will be one of:
none: The recording has not yet been imported, and import has not been requested.pending: Foxglove has received a request to import this recording.importing: The recording data is being processed for access via Foxglove.failed: The recording data could not be imported.complete: The contents of the recording are available for access via Foxglove.
Note: none and pending statuses are applicable only to recordings originating from an Edge Site or a device running Foxlet.
The set of importStatus values may expand in the future.
The unique, user-specified key assigned to a recording in MCAP metadata or during the upload process. This can be used to identify the recording, in addition to its id.
[ { "id": "string", "projectId": "string", "path": "string", "location": { … }, "size": 0, "createdAt": "2019-08-24T14:15:22Z", "importedAt": "2019-08-24T14:15:22Z", "start": "2019-08-24", "end": "2019-08-24", "importStatus": "none", "site": { … }, "edgeSite": { … }, "device": { … }, "key": "string", "metadata": [ … ], "sessionId": "string" } ]